Bug 65666 - Unstable right aligned footnote numbering
Summary: Unstable right aligned footnote numbering
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.7.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard: target:4.2.0 target:4.1.0.1 target:4.0.5
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-12 08:56 UTC by László Németh
Modified: 2013-12-15 23:19 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
screenshot (92.17 KB, image/png)
2013-06-12 22:57 UTC, László Németh
Details
test document (10.15 KB, application/vnd.oasis.opendocument.text)
2013-06-12 23:07 UTC, László Németh
Details

Note You need to log in before you can comment on or make changes to this bug.
Description László Németh 2013-06-12 08:56:04 UTC
We can add tab characters in the Footnotes/Endnotes Settings, as a workaround for the right aligned footnote numbering of French and Hungarian typesetting, and save/load in ODT files (see Bug 65515), but the Footnotes/Endnotes Settings window removes these tabs after a new opening.
Comment 1 Commit Notification 2013-06-12 09:29:56 UTC
Laszlo Nemeth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=67bb43c8ccc3270bd1a0dbf4300e39ec2e9f296b

fdo#65666 keep tab characters in footnote settings (Begin/After)



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 László Németh 2013-06-12 09:32:06 UTC
Committed solution: tab characters converted to the notation \t, and conversely in the dialog window, test file attached to the Bug 65515.
Comment 3 László Németh 2013-06-12 22:57:45 UTC
Created attachment 80747 [details]
screenshot

selected regions: right and left aligned tab positions of the paragraph style Footnote on the ruler; right aligned footnote numbering; tab characters with the new \t notation in Footnote settings.
Comment 4 László Németh 2013-06-12 23:07:54 UTC
Created attachment 80748 [details]
test document

Test document. See the problem and its fix in the Tools » Footnote/Endnote settings window.
Comment 5 László Németh 2013-06-12 23:10:59 UTC
Testing:

1. Open the attached test document.
2. Choose Tools » Footnote/Endnote settings window.
3. Click on OK.

With the fix, LibreOffice keeps the right aligned footnote numbering.
Comment 6 Commit Notification 2013-06-13 13:21:04 UTC
Laszlo Nemeth committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c0ec2caf1b35c5bc296f0ce86082eb0a6e2b19b2&h=libreoffice-4-1

fdo#65666 keep tab characters in footnote settings (Begin/After)


It will be available in LibreOffice 4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2013-06-13 13:29:21 UTC
Laszlo Nemeth committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0d583c89697cb2349d125becc14bc8a8b56d6bc8&h=libreoffice-4-0

fdo#65666 keep tab characters in footnote settings (Begin/After)


It will be available in LibreOffice 4.0.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2013-06-13 15:18:35 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=702b7c31afda76b683c24ca5b6ea4c75fcc02198&h=libreoffice-4-1

fdo#65666 help text for right aligned footnote numbers


It will be available in LibreOffice 4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2013-06-13 15:18:54 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=50f2902dc9d125c6ab5b379d5389364bb7bdf09c

fdo#65666 help text for right aligned footnote numbers



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2013-06-18 15:17:56 UTC
Laszlo Nemeth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0b67caf467c2243086f4ad29415d6d95f58838db

fdo#65666 keep tab characters in footnote settings of sections, too



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2013-06-18 15:35:16 UTC
Laszlo Nemeth committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f46a894687be63e29d556621c278b909d417f6fc&h=libreoffice-4-1

fdo#65666 keep tab characters in footnote settings of sections, too


It will be available in LibreOffice 4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2013-06-18 15:35:33 UTC
Laszlo Nemeth committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=78c6f41401da08d27301d09d3d04ad01cb6df939&h=libreoffice-4-0

fdo#65666 keep tab characters in footnote settings of sections, too


It will be available in LibreOffice 4.0.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2013-06-18 17:40:11 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=595d667e64c1559b51ce407f6893b51014bdc11d&h=libreoffice-4-0

Revert "fdo#65666 keep tab characters in footnote settings of sections, too"


It will be available in LibreOffice 4.0.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2013-06-19 14:19:58 UTC
Laszlo Nemeth committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5a246765fced0099ae9071c8df98636638ee0b18&h=libreoffice-4-0

fdo#65666 keep tabs in footnote settings of sections (backport)


It will be available in LibreOffice 4.0.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.